import ListingPaginationPlugin from 'src/plugin/listing/listing-pagination.plugin';

export default class BCAquaListingPaginationPlugin extends ListingPaginationPlugin {

    getValues() {
        const values = {
            p: this.tempValue ?? 1
        };

        const params = new URLSearchParams(window.location.search);
        const boxLayout = params.get('boxLayout');

        if (boxLayout) {
            values.boxLayout = boxLayout;
        }

        return values;
    }
}